Package org.eclipse.cdt.core.build

# Class CBuildConfigUtils

java.lang.Object
org.eclipse.cdt.core.build.CBuildConfigUtils

public class CBuildConfigUtils extends Object

Since:
  9.0

## Method Summary

Modifier and Type
Method
Description
`static org.eclipse.core.resources.IBuildConfiguration`
`createBuildConfiguration(ICBuildConfigurationProvider provider, org.eclipse.core.resources.IProject project, String cBuildConfigName, ICBuildConfigurationManager cBuildConfigManager, org.eclipse.core.runtime.IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createBuildConfiguration

public static org.eclipse.core.resources.IBuildConfiguration createBuildConfiguration(ICBuildConfigurationProvider provider, org.eclipse.core.resources.IProject project, String cBuildConfigName, ICBuildConfigurationManager cBuildConfigManager, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException

Parameters:
  `provider` - Core Build configuration provider. Must not be null.
  `project` - Project in which the Platform Build configuration is created. Must not be null.
  `cBuildConfigName` - The Core Build config name to be used as part of the the Platform Build configuration name. See `ICBuildConfigurationProvider.getCBuildConfigName(org.eclipse.core.resources.IProject, java.lang.String, org.eclipse.cdt.core.build.IToolChain, java.lang.String, org.eclipse.launchbar.core.target.ILaunchTarget)`. Must not be null.
  `cBuildConfigManager` - Core Build configuration manager. Must not be null.
  `monitor` -
Returns:
  a Platform Build Configuration.
Throws:
  `org.eclipse.core.runtime.CoreException`